Package javax.validation

# Interface ConstraintViolation<T>

public interface ConstraintViolation<T>

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`ConstraintDescriptor<?>`
`getConstraintDescriptor()`
`Object[]`
`getExecutableParameters()`
`Object`
`getExecutableReturnValue()`
`Object`
`getInvalidValue()`
`Object`
`getLeafBean()`
`String`
`getMessage()`
`String`
`getMessageTemplate()`
`Path`
`getPropertyPath()`
`T`
`getRootBean()`
`Class<T>`
`getRootBeanClass()`
`<U> U`
`unwrap(Class<U> type)`

## Method Details

### getMessage

String getMessage()

### getMessageTemplate

String getMessageTemplate()

### getRootBean

T getRootBean()

### getRootBeanClass

Class<T> getRootBeanClass()

### getLeafBean

Object getLeafBean()

### getPropertyPath

Path getPropertyPath()

### getInvalidValue

Object getInvalidValue()

### getConstraintDescriptor

ConstraintDescriptor<?> getConstraintDescriptor()

### getExecutableParameters

Object[] getExecutableParameters()

### getExecutableReturnValue

Object getExecutableReturnValue()

### unwrap

<U> U unwrap(Class<U> type)